Package org.eclipse.birt.chart.render

# Class AxesRenderHelper

java.lang.Object
org.eclipse.birt.chart.render.AxesRenderHelper

public final class AxesRenderHelper extends Object
Helper class for AxesRenderer. By providing interface and inner classes, to refactor the complicated method in AxesRenderer.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addLine3DEvent(Line3DRenderEvent lre3d, Object parentEvent, DeferredCache dc)`
Adds Line2D event to deferred cache, if parent event is specified, this event should be added into parent event.
`void`
`renderEachAxis()`
Renders the axis.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### renderEachAxis

public void renderEachAxis() throws ChartException
Renders the axis.

Throws:
  `ChartException`

### addLine3DEvent

public static void addLine3DEvent(Line3DRenderEvent lre3d, Object parentEvent, DeferredCache dc)
Adds Line2D event to deferred cache, if parent event is specified, this event should be added into parent event.

Parameters:
  `lre3d` -
  `parentEvent` -
  `dc` -